Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class RenderHelper

    java.lang.Object
      |
      +--com.bea.portal.render.servlets.jsp.RenderHelper

Direct Known Subclasses:
  PortalRenderHelper, PortletRenderHelper

public class RenderHelper
extends java.lang.Object

A base class for the two helper classes PortalRenderHelper and PortletRenderHelper.

Constructor Summary
`RenderHelper()`

Method Summary
`static PageIdentifier` | `getPageIdentifier(javax.servlet.http.HttpServletRequest request)` Return the current page identifier
`static PageState` | `getPageState(javax.servlet.http.HttpServletRequest request)` Retrieve the page state
`static PortalSession` | `getPortalSession(javax.servlet.http.HttpServletRequest request)` Get the PortalSesison from the PipelineSession
`static PortalState` | `getPortalState(javax.servlet.http.HttpServletRequest request)` Retrieve the portal state
`static PortletIdentifier` | `getPortletIdentifier(javax.servlet.http.HttpServletRequest request)` Retrieve the portlet name from the HTTPServletRequest.
`static PortletState` | `getPortletState(javax.servlet.http.HttpServletRequest request)` Retrieve the portlet state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderHelper

    public RenderHelper()

Method Detail

### getPortalSession

    public static PortalSession getPortalSession(javax.servlet.http.HttpServletRequest request)
                                          throws javax.servlet.jsp.JspException

  Get the PortalSesison from the PipelineSession

### getPageIdentifier

    public static PageIdentifier getPageIdentifier(javax.servlet.http.HttpServletRequest request)
                                            throws javax.servlet.jsp.JspException

  Return the current page identifier

### getPortletIdentifier

    public static PortletIdentifier getPortletIdentifier(javax.servlet.http.HttpServletRequest request)
                                                  throws javax.servlet.jsp.JspException

  Retrieve the portlet name from the HTTPServletRequest. This should be placed there by the rendering engine before each portlet is rendered.

### getPortalState

    public static PortalState getPortalState(javax.servlet.http.HttpServletRequest request)
                                      throws javax.servlet.jsp.JspException

  Retrieve the portal state

### getPageState

    public static PageState getPageState(javax.servlet.http.HttpServletRequest request)
                                  throws javax.servlet.jsp.JspException

  Retrieve the page state

### getPortletState

    public static PortletState getPortletState(javax.servlet.http.HttpServletRequest request)
                                        throws javax.servlet.jsp.JspException

  Retrieve the portlet state

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved